---
name: Michael Lerner
locality: Tulsa, Oklahoma
country: United States
role: <a href="/job-families/marketing/sales-development-representative/">Sales Development
  Representative 1</a>
reports_to: meaghanthatcher
picture: michaellerner.jpg
pronouns: He/Him
pronunciation:
twitter:
linkedin: https://www.linkedin.com/in/michaellerner7/
gitlab: mlerner
departments:
- Sales Development
specialty:
expertise:
story:

